# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ArtifactDto(Model):
    """Details of an Artifact.

    :param artifact_id: The identifier of an Artifact. Format of ArtifactId -
     {Origin}/{Container}/{Path}.
    :type artifact_id: str
    :param origin: The origin of the Artifact creation request. Available
     origins are 'ExperimentRun', 'LocalUpload', 'WebUpload', 'Dataset' and
     'Unknown'.
    :type origin: str
    :param container: The name of container. Artifacts can be grouped by
     container.
    :type container: str
    :param path: The path to the Artifact in a container.
    :type path: str
    :param etag: The Etag of the Artifact.
    :type etag: str
    :param created_time: The Date and Time at which the Artifact is created.
     The DateTime is in UTC.
    :type created_time: datetime
    :param data_path:
    :type data_path: ~_restclient.models.ArtifactDataPath
    """

    _attribute_map = {
        'artifact_id': {'key': 'artifactId', 'type': 'str'},
        'origin': {'key': 'origin', 'type': 'str'},
        'container': {'key': 'container', 'type': 'str'},
        'path': {'key': 'path', 'type': 'str'},
        'etag': {'key': 'etag', 'type': 'str'},
        'created_time': {'key': 'createdTime', 'type': 'iso-8601'},
        'data_path': {'key': 'dataPath', 'type': 'ArtifactDataPath'},
    }

    def __init__(self, artifact_id=None, origin=None, container=None, path=None, etag=None, created_time=None, data_path=None):
        super(ArtifactDto, self).__init__()
        self.artifact_id = artifact_id
        self.origin = origin
        self.container = container
        self.path = path
        self.etag = etag
        self.created_time = created_time
        self.data_path = data_path
