# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ComputeInstanceProperties(Model):
    """Compute Instance properties.

    Variables are only populated by the server, and will be ignored when
    sending a request.

    :param vm_size: Virtual Machine Size
    :type vm_size: str
    :param subnet: Subnet. Virtual network subnet resource ID the compute
     nodes belong to.
    :type subnet: ~_restclient.models.ResourceId
    :param application_sharing_policy: Sharing policy for applications on this
     compute instance. Policy for sharing applications on this compute instance
     among users of parent workspace. If Personal, only the creator can access
     applications on this compute instance. When Shared, any workspace user can
     access applications on this instance depending on his/her assigned role.
     Possible values include: 'Personal', 'Shared'. Default value: "Shared" .
    :type application_sharing_policy: str or
     ~_restclient.models.ApplicationSharingPolicy
    :param ssh_settings: Specifies policy and settings for SSH access.
    :type ssh_settings: ~_restclient.models.ComputeInstanceSshSettings
    :ivar connectivity_endpoints: Describes all connectivity endpoints
     available for this ComputeInstance.
    :vartype connectivity_endpoints:
     ~_restclient.models.ComputeInstanceConnectivityEndpoints
    :ivar applications: Describes available applications and their endpoints
     on this ComputeInstance.
    :vartype applications:
     list[~_restclient.models.ComputeInstanceApplication]
    :ivar created_by: Describes information on user who created this
     ComputeInstance.
    :vartype created_by: ~_restclient.models.ComputeInstanceCreatedBy
    :ivar errors: Errors. Collection of errors encountered on this
     ComputeInstance.
    :vartype errors: list[~_restclient.models.MachineLearningServiceError]
    :ivar state: The current state of this ComputeInstance. Possible values
     include: 'Creating', 'CreateFailed', 'Deleting', 'Running', 'Restarting',
     'RestartFailed', 'JobRunning', 'SettingUp', 'Starting', 'StartFailed',
     'StopFailed', 'Stopped', 'Stopping', 'UserSettingUp', 'Unknown',
     'Unusable'
    :vartype state: str or ~_restclient.models.ComputeInstanceState
    """

    _validation = {
        'connectivity_endpoints': {'readonly': True},
        'applications': {'readonly': True},
        'created_by': {'readonly': True},
        'errors': {'readonly': True},
        'state': {'readonly': True},
    }

    _attribute_map = {
        'vm_size': {'key': 'vmSize', 'type': 'str'},
        'subnet': {'key': 'subnet', 'type': 'ResourceId'},
        'application_sharing_policy': {'key': 'applicationSharingPolicy', 'type': 'str'},
        'ssh_settings': {'key': 'sshSettings', 'type': 'ComputeInstanceSshSettings'},
        'connectivity_endpoints': {'key': 'connectivityEndpoints', 'type': 'ComputeInstanceConnectivityEndpoints'},
        'applications': {'key': 'applications', 'type': '[ComputeInstanceApplication]'},
        'created_by': {'key': 'createdBy', 'type': 'ComputeInstanceCreatedBy'},
        'errors': {'key': 'errors', 'type': '[MachineLearningServiceError]'},
        'state': {'key': 'state', 'type': 'str'},
    }

    def __init__(self, vm_size=None, subnet=None, application_sharing_policy="Shared", ssh_settings=None):
        super(ComputeInstanceProperties, self).__init__()
        self.vm_size = vm_size
        self.subnet = subnet
        self.application_sharing_policy = application_sharing_policy
        self.ssh_settings = ssh_settings
        self.connectivity_endpoints = None
        self.applications = None
        self.created_by = None
        self.errors = None
        self.state = None
