# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ContainerResourceRequirements(Model):
    """The resource requirements for the container (cpu and memory).

    :param cpu: The number of CPU cores on the container.
    :type cpu: float
    :param memory_in_gb: The amount of memory on the container in GB.
    :type memory_in_gb: float
    :param gpu: The number of GPU cores in the container.
    :type gpu: int
    :param fpga: The number of FPGA PCIE devices exposed to the container.
     Must be multiple of 2.
    :type fpga: int
    """

    _attribute_map = {
        'cpu': {'key': 'cpu', 'type': 'float'},
        'memory_in_gb': {'key': 'memoryInGB', 'type': 'float'},
        'gpu': {'key': 'gpu', 'type': 'int'},
        'fpga': {'key': 'fpga', 'type': 'int'},
    }

    def __init__(self, cpu=None, memory_in_gb=None, gpu=None, fpga=None):
        super(ContainerResourceRequirements, self).__init__()
        self.cpu = cpu
        self.memory_in_gb = memory_in_gb
        self.gpu = gpu
        self.fpga = fpga
