# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class DockerSection(Model):
    """DockerSection.

    :param base_image: Base image used for Docker-based runs. Mutually
     exclusive with BaseDockerfile.
    :type base_image: str
    :param platform: Docker image target platform (OS and Architecture).
     Defaults to Linux
    :type platform: ~_restclient.models.DockerImagePlatform
    :param base_dockerfile: Base Dockerfile used for Docker-based runs.
     Mutually exclusive with BaseImage.
    :type base_dockerfile: str
    :param base_image_registry: Image registry that contains the base image.
    :type base_image_registry: ~_restclient.models.ContainerRegistry
    """

    _attribute_map = {
        'base_image': {'key': 'baseImage', 'type': 'str'},
        'platform': {'key': 'platform', 'type': 'DockerImagePlatform'},
        'base_dockerfile': {'key': 'baseDockerfile', 'type': 'str'},
        'base_image_registry': {'key': 'baseImageRegistry', 'type': 'ContainerRegistry'},
    }

    def __init__(self, base_image=None, platform=None, base_dockerfile=None, base_image_registry=None):
        super(DockerSection, self).__init__()
        self.base_image = base_image
        self.platform = platform
        self.base_dockerfile = base_dockerfile
        self.base_image_registry = base_image_registry
