# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class LinkedServiceResponse(Model):
    """Linked service.

    Variables are only populated by the server, and will be ignored when
    sending a request.

    :ivar id: ResourceId of the link of the linked service.
    :vartype id: str
    :ivar name: Friendly name of the linked service.
    :vartype name: str
    :ivar type: Resource type of linked service.
    :vartype type: str
    :param location: location of the linked service.
    :type location: str
    :param identity:
    :type identity: ~_restclient.models.Identity
    :param properties:
    :type properties: ~_restclient.models.LinkedServiceProps
    """

    _validation = {
        'id': {'readonly': True},
        'name': {'readonly': True},
        'type': {'readonly': True},
    }

    _attribute_map = {
        'id': {'key': 'id', 'type': 'str'},
        'name': {'key': 'name', 'type': 'str'},
        'type': {'key': 'type', 'type': 'str'},
        'location': {'key': 'location', 'type': 'str'},
        'identity': {'key': 'identity', 'type': 'Identity'},
        'properties': {'key': 'properties', 'type': 'LinkedServiceProps'},
    }

    def __init__(self, location=None, identity=None, properties=None):
        super(LinkedServiceResponse, self).__init__()
        self.id = None
        self.name = None
        self.type = None
        self.location = location
        self.identity = identity
        self.properties = properties
