# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class ModelOptimizationResponse(Model):
    """The model optimization response.

    :param optimized_model_id: The new Onnx model Id registered after
     optimziation.
    :type optimized_model_id: str
    :param optimization_status: Optimization status code.
    :type optimization_status: int
    :param metrics: Optimization metrics
    :type metrics: ~_restclient.models.ModelOptimizationResponseMetrics
    :param error: The error information in case of any error happens.
    :type error: ~_restclient.models.ModelOptimizationResponseError
    :param error_log: The error log url.
    :type error_log: str
    """

    _attribute_map = {
        'optimized_model_id': {'key': 'optimizedModelId', 'type': 'str'},
        'optimization_status': {'key': 'optimizationStatus', 'type': 'int'},
        'metrics': {'key': 'metrics', 'type': 'ModelOptimizationResponseMetrics'},
        'error': {'key': 'error', 'type': 'ModelOptimizationResponseError'},
        'error_log': {'key': 'errorLog', 'type': 'str'},
    }

    def __init__(self, optimized_model_id=None, optimization_status=None, metrics=None, error=None, error_log=None):
        super(ModelOptimizationResponse, self).__init__()
        self.optimized_model_id = optimized_model_id
        self.optimization_status = optimization_status
        self.metrics = metrics
        self.error = error
        self.error_log = error_log
