# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for
# license information.
#
# Code generated by Microsoft (R) AutoRest Code Generator 2.3.33.0
# Changes may cause incorrect behavior and will be lost if the code is
# regenerated.
# --------------------------------------------------------------------------

from msrest.serialization import Model


class OutputOptions(Model):
    """Additional options that control how the data should be uploaded.

    :param path_on_compute: Which local path on compute the data should be
     uploaded from. This is only applicable to the
     mount and upload mechanisms.
    :type path_on_compute: str
    :param registration_options: If present, whether to register the output as
     a named dataset.
    :type registration_options: ~_restclient.models.RegistrationOptions
    :param upload_options: Options that is specific to upload. This should
     only be set if the mechanism is set to upload.
    :type upload_options: ~_restclient.models.UploadOptions
    """

    _attribute_map = {
        'path_on_compute': {'key': 'pathOnCompute', 'type': 'str'},
        'registration_options': {'key': 'registrationOptions', 'type': 'RegistrationOptions'},
        'upload_options': {'key': 'uploadOptions', 'type': 'UploadOptions'},
    }

    def __init__(self, path_on_compute=None, registration_options=None, upload_options=None):
        super(OutputOptions, self).__init__()
        self.path_on_compute = path_on_compute
        self.registration_options = registration_options
        self.upload_options = upload_options
